ZFS-SNAPSHOT(8)

NAME
zfs-snapshot - create snapshots of ZFS datasets

SYNOPSIS
zfs snapshot [-r] [-o property=value]… dataset@snapname…

DESCRIPTION
All previous modifications by successful system calls to the file system are part of the snapshots. Snapshots are taken atomically, so that all snapshots correspond to the same moment in time. zfs snap can be used as an alias for zfs snapshot. See the Snapshots section of zfsconcepts(7) for details.

-o property=value
    Set the specified property; see zfs create for details.

-r  Recursively create snapshots of all descendent datasets

SEE ALSO
zfs-bookmark(8), zfs-clone(8), zfs-destroy(8), zfs-diff(8), zfs-hold(8), zfs-rename(8), zfs-rollback(8), zfs-send(8)